import request from '@/utils/request'

// 查询企业扩展属性，包括大象key等列表
export function listProp(query) {
  return request({
    url: '/system/prop/list',
    method: 'get',
    params: query
  })
}

// 查询企业扩展属性，包括大象key等详细
export function getProp(companyid) {
  return request({
    url: '/system/prop/' + companyid,
    method: 'get'
  })
}

// 新增企业扩展属性，包括大象key等
export function addProp(data) {
  return request({
    url: '/system/prop',
    method: 'post',
    data: data
  })
}

// 修改企业扩展属性，包括大象key等
export function updateProp(data) {
  return request({
    url: '/system/prop',
    method: 'put',
    data: data
  })
}

// 删除企业扩展属性，包括大象key等
export function delProp(companyid) {
  return request({
    url: '/system/prop/' + companyid,
    method: 'delete'
  })
}

// 初始化销方prop
export function initProp(companyid) {
  return request({
    url: '/system/prop/init/' + companyid,
    method: 'get'
  })
}
